Subject: Re: bug#20978: 25.0.50; [PATCH 0/7] Emacs can return too fast when reading from any processes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jul 2015 15:52:44 +0300

> From: Ian Kelling <[email-masked]>
> Date: Sat, 04 Jul 2015 05:34:33 -0700
> 
> About the patches:
> 
> The first 4 are refactoring and not necessarily dependent on any others,
> but independent patches would conflict and they make the code clearer so
> I included them. I can separate any of them if needed.
> 
> Patch 3 depends on the patch for debbugs:20976, which is a simple fix
> and I expect no problem for it be applied first.

Thanks.

I don't know how others feel, but I personally would prefer that
patches not be split between different messages, as that makes it
harder to grasp and apply.  Especially since some (most) of them
belong to the same changeset.  And refactoring should IMO be together
with the actual changes.

> I was careful to not squash unrelated changes as the function is rather
> complicated and I could have saved a fair amount of time if there
> weren't unrelated changes in the patch that introduced this bug.

Unrelated is in the eyes of the beholder.  We all have our different
views on that.

Thanks again for working on this.  I will defer to Paul to provide the
_real_ feedback ;-)